gsasl_client_listmech(3)

NAME
gsasl_client_listmech - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_client_listmech(Gsasl * ctx, char * out, size_t * outlen);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

char * out
    output character array.

size_t * outlen
    input maximum size of output character array, on output contains actual length of output array.

DESCRIPTION
Write SASL names, separated by space, of mechanisms supported by the libgsasl client to the output array. To find out how large the output array must be, call this function with a NULL out parameter.

RETURN VALUE
Returns GSASL_OK if successful, or error code.

DEPRECATED
Use gsasl_client_mechlist() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.